Loading...
Searching...
No Matches
jni::TypedMethods< jbyte > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallByteMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualByteMethod
static constexpr auto | GetField = &JNIEnv::GetByteField
static constexpr auto | SetField = &JNIEnv::SetByteField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticByteMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticByteField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticByteField
static constexpr auto | NewArray = &JNIEnv::NewByteArray
static constexpr auto | GetArrayElements = &JNIEnv::GetByteArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseByteArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetByteArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetByteArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jbyte >::CallMethod = &JNIEnv::CallByteMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jbyte >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualByteMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jbyte >::CallStaticMethod = &JNIEnv::CallStaticByteMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jbyte >::GetArrayElements = &JNIEnv::GetByteArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jbyte >::GetArrayRegion = &JNIEnv::GetByteArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jbyte >::GetField = &JNIEnv::GetByteField

static constexpr

## GetStaticField

auto jni::TypedMethods< jbyte >::GetStaticField = &JNIEnv::GetStaticByteField

static constexpr

## NewArray

auto jni::TypedMethods< jbyte >::NewArray = &JNIEnv::NewByteArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jbyte >::ReleaseArrayElements = &JNIEnv::ReleaseByteArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jbyte >::SetArrayRegion = &JNIEnv::SetByteArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jbyte >::SetField = &JNIEnv::SetByteField

static constexpr

## SetStaticField

auto jni::TypedMethods< jbyte >::SetStaticField = &JNIEnv::SetStaticByteField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/typed_methods.hpp